/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmsolicitudarmasPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CSOLICITUD")
    private String csolicitud;
    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private long personcode;
    @Basic(optional = false)
    @Column(name = "CARMA")
    private String carma;

    public TarmsolicitudarmasPK() {
    }

    public TarmsolicitudarmasPK(String csolicitud, long personcode, String carma) {
        this.csolicitud = csolicitud;
        this.personcode = personcode;
        this.carma = carma;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    public long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(long personcode) {
        this.personcode = personcode;
    }

    public String getCarma() {
        return carma;
    }

    public void setCarma(String carma) {
        this.carma = carma;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (csolicitud != null ? csolicitud.hashCode() : 0);
        hash += (int) personcode;
        hash += (carma != null ? carma.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmsolicitudarmasPK)) {
            return false;
        }
        TarmsolicitudarmasPK other = (TarmsolicitudarmasPK) object;
        if ((this.csolicitud == null && other.csolicitud != null) || (this.csolicitud != null && !this.csolicitud.equals(other.csolicitud))) {
            return false;
        }
        if (this.personcode != other.personcode) {
            return false;
        }
        if ((this.carma == null && other.carma != null) || (this.carma != null && !this.carma.equals(other.carma))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmsolicitudarmasPK[ csolicitud=" + csolicitud + ", personcode=" + personcode + ", carma=" + carma + " ]";
    }
    
}
